- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_stream_t

# mongoc_stream_destroy()

## Synopsis

    void
    mongoc_stream_destroy (mongoc_stream_t *stream);

## Parameters

- `stream`: A mongoc_stream_t.

This function shall release all resources associated with a mongoc_stream_t, including freeing the structure. It is invalid to use `stream` after calling this function. Does nothing if `stream` is NULL.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.